"""Move consolemsg to general settings

Revision ID: 553a948ae9ec
Revises: 370ff38939fd
Create Date: 2021-03-17 15:48:29.195879+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '553a948ae9ec'
down_revision = '370ff38939fd'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('system_settings', schema=None) as batch_op:
        batch_op.add_column(sa.Column('stg_guiconsolemsg', sa.Boolean(), nullable=True))

    op.execute("UPDATE system_settings SET stg_guiconsolemsg = (SELECT adv_consolemsg FROM system_advanced)")

    with op.batch_alter_table('system_settings', schema=None) as batch_op:
        batch_op.alter_column('stg_guiconsolemsg',
               existing_type=sa.BOOLEAN(),
               nullable=False)

    with op.batch_alter_table('system_advanced', schema=None) as batch_op:
        batch_op.drop_column('adv_consolemsg')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('system_settings', schema=None) as batch_op:
        batch_op.drop_column('stg_guiconsolemsg')

    with op.batch_alter_table('system_advanced', schema=None) as batch_op:
        batch_op.add_column(sa.Column('adv_consolemsg', sa.BOOLEAN(), nullable=False))
    # ### end Alembic commands ###
